Skip to content
The API may change between versions while TTX-Zone is 0.x.

Save assistant settings

PUT
/api/v1/instance/assistant
curl --request PUT \
--url https://example.com/api/v1/instance/assistant \
--header 'Content-Type: application/json' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--data '{ "enabled": true }'

Recorded, with step-up. Turning it off stops every token at once (they stay, and work again if it’s turned back on before they expire).

Media typeapplication/json
AssistantSettingsUpdateRequest
object
enabled
required
Enabled
boolean

Example generated

{
"enabled": true
}

Successful Response

Media typeapplication/json
AssistantSettingsRead
object
active_tokens
required
Active Tokens
integer
disclaimer_version
required
Disclaimer Version
string
enabled
required
Enabled
boolean
pinned_by_env
required
Pinned By Env
boolean

Example generated

{
"active_tokens": 1,
"disclaimer_version": "example",
"enabled": true,
"pinned_by_env": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}